<%= render 'share/option_status' %>
<div class="container-body col-lg-10 col-lg-offset-1">
  <div class="title-page col-lg-12">
    <div class="row col-lg-6 col-sm-6">
      <p> New Photo</p>
    </div>
    <div class="col-lg-offset-11 col-sm-offset-10">
      <%= link_to '<button class="btn btn-lg btn-primary white-btn">Back</button>'.html_safe, user_path(id: current_user.id) %>
    </div>
  </div>
  <div class="row">
    <div class="col-lg-12">  
    <%= form_for (@photo)  do|f| %>
      <div class="row album_wall">
        <% if notice && notice != "Signed in successfully." %><div class="alert alert-info"><%= notice %></div><% end %>
        <% if alert %><div class="alert alert-danger"><%= alert %></div><% end %>
        <div class="row col-lg-12">
          <div class="col-lg-6">
            <div class="form-group">
              <%= f.label :title %>
              <%= f.text_field :title, class: 'form-control', require: true, autofocus: true %>
            </div>
          </div>
          <div class="col-lg-6">
            <div class="form-group">
              <%= f.label :description %>
              <%= f.text_field :description, class: 'form-control', require: true  %>
            </div>
          </div>
        </div>
        <div class="row col-lg-12">
          <div class="form-group col-lg-6 ">
            <%= f.label "Sharing mode" %>
            <%= f.select(:private, options_for_select([['Public', false], ['Private', true]] ), {}, {:class => 'form-control'})  %>
          </div>
        </div>
        <div class=" form-group col-lg-4 ">
          <div id="image-upload" >
            <i class="fa fa-window-close fa-2x close-icon" aria-hidden="true" id = "close-new-icon"></i>
            <label for="file-input-photo" class="label-upload" id= "new-image">
                <img src="#" class="photo medium" id="output-new-photo">
            </label>
            <label for="file-input-photo" class="label-upload" id = "upload-new-photo"  >
                <i class="fa fa-plus" style="font-size:70px; color: #BDBDBD;" id = "plus-icon"></i>
            </label>
            <%= f.file_field :image, multiple: false, id: "file-input-photo", onchange: "document.getElementById('output-new-photo').src = window.URL.createObjectURL(this.files[0])", class: "form-group upload-img"%><br> 
            <%= f.submit 'Upload', class: 'btn btn-success btn-lg search' %>
          </div>
        </div>
      </div> 
    <% end %>
  </div>
</div>








